Bug 735413 - BUG: MAX_LOCKDEP_ENTRIES too low (selinux/squashfs)
Summary: BUG: MAX_LOCKDEP_ENTRIES too low (selinux/squashfs)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Paris
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 15:22 UTC by Harald Hoyer
Modified: 2012-07-16 18:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-16 18:16:41 UTC


Attachments (Terms of Use)

Description Harald Hoyer 2011-09-02 15:22:17 UTC
[  547.079972] BUG: MAX_LOCKDEP_ENTRIES too low!
[  547.080024] turning off the locking correctness validator.
[  547.080024] Pid: 2017, comm: umount Not tainted 3.1.0-0.rc3.git0.0.fc16.x86_64 #1
[  547.080024] Call Trace:
[  547.080024]  [<ffffffff8108c2c4>] add_lock_to_list.constprop.22+0x45/0xa7
[  547.080024]  [<ffffffff8108e96e>] __lock_acquire+0xb6a/0xcf7
[  547.080024]  [<ffffffff8108dc11>] ? mark_lock+0x2d/0x220
[  547.080024]  [<ffffffff81205d23>] ? selinux_inode_free_security+0x35/0x73
[  547.080024]  [<ffffffff8108eff1>] lock_acquire+0xf3/0x13e
[  547.080024]  [<ffffffff81205d23>] ? selinux_inode_free_security+0x35/0x73
[  547.080024]  [<ffffffff8103038d>] ? kvm_clock_read+0x2f/0x37
[  547.080024]  [<ffffffff81503905>] _raw_spin_lock+0x45/0x79
[  547.080024]  [<ffffffff81205d23>] ? selinux_inode_free_security+0x35/0x73
[  547.080024]  [<ffffffff810803b6>] ? local_clock+0x36/0x4d
[  547.080024]  [<ffffffff81205d23>] selinux_inode_free_security+0x35/0x73
[  547.080024]  [<ffffffff812015b4>] security_inode_free+0x24/0x28
[  547.080024]  [<ffffffff81157af9>] __destroy_inode+0x22/0x5d
[  547.080024]  [<ffffffff81157b5a>] destroy_inode+0x26/0x56
[  547.080024]  [<ffffffff81157da4>] evict+0x14b/0x153
[  547.080024]  [<ffffffff81157f78>] dispose_list+0x32/0x43
[  547.080024]  [<ffffffff8115887e>] evict_inodes+0xe1/0xf0
[  547.080024]  [<ffffffff811445be>] generic_shutdown_super+0x4a/0xbe
[  547.080024]  [<ffffffff81144659>] kill_block_super+0x27/0x6a
[  547.080024]  [<ffffffff8114499f>] deactivate_locked_super+0x37/0x68
[  547.080024]  [<ffffffff81145289>] deactivate_super+0x37/0x3b
[  547.080024]  [<ffffffff8115bd51>] mntput_no_expire+0xcc/0xd1
[  547.080024]  [<ffffffff8115c924>] sys_umount+0x2ac/0x2da
[  547.080024]  [<ffffffff8108f439>] ? trace_hardirqs_on_caller+0x121/0x158
[  547.080024]  [<ffffffff8150b082>] system_call_fastpath+0x16/0x1b

this was while running in the initramfs with no selinux policies loaded, yet:
# udevadm trigger  --action=add
# while true; do
	losetup -r /dev/loop0 /squashfs.img
        mkdir -m 0755 -p /run/initramfs/squashfs
	mount -n -t squashfs -o ro /dev/loop0 /run/initramfs/squashfs || break
	umount  /run/initramfs/squashfs
	udevadm settle
	losetup -d /dev/loop0 || break
	modprobe -r squashfs
	rm -fr /run/initramfs/squashfs
done

Comment 1 Dave Jones 2011-09-02 15:29:59 UTC
wow, haven't seen that warning in a while.

Eric ?

Comment 2 Albert Strasheim 2011-09-09 15:01:14 UTC
Another one that triggers this:

while true; do rmmod coretemp; modprobe coretemp; done

Comment 3 Dave Jones 2011-09-15 19:30:37 UTC
Albert, that's a different trace. I just reported it upstream.

Comment 4 Dave Jones 2012-03-22 17:08:44 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Dave Jones 2012-03-22 17:11:36 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 6 Dave Jones 2012-03-22 17:21:26 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 7 Dave Jones 2012-07-16 18:16:41 UTC
I haven't seen any other report of this, so I'm calling it fixed.
Reopen if it's still a problem with -debug/rawhide.


Note You need to log in before you can comment on or make changes to this bug.